python3Packages.orjson: Disable failing tests on 32 bit
[NixPkgs.git] / pkgs / development / tools / poetry2nix / update
blob047f7a8fea65d35a538b8c5bafb91b3dc44e257e
1 #!/usr/bin/env bash
2 set -euo pipefail
3 pwd=$(pwd)
4 workdir=$(mktemp -d)
6 function cleanup {
7 cd "$pwd"
8 rm -rf $workdir
10 trap cleanup EXIT
12 cd "$workdir"
14 curl -L -s https://github.com/nix-community/poetry2nix/archive/master.tar.gz | tar -xz
15 mv poetry2nix-master/* .
17 mkdir build
18 cp *.* build/
19 cp -r overrides pkgs hooks bin build/
20 rm build/shell.nix build/generate.py build/overlay.nix build/flake.* build/check-fmt.nix build/pkgs/poetry/update*
22 cat > build/README.md << EOF
23 Dont change these files here, they are maintained at https://github.com/nix-community/poetry2nix
25 The update procedure is as-follows:
26 1. Send your change to the upstream poetry2nix repository
27 2. Get it approved with tests passing
28 3. Run the update script in pkgs/development/tools/poetry2nix
29 EOF
31 rm -rf "$pwd/poetry2nix"
32 mv build "$pwd/poetry2nix"